<?php
if (!defined ("TYPO3_MODE")) 	die ("Access denied.");

$TCA["tx_csevents_description"] = Array (
	"ctrl" => $TCA["tx_csevents_description"]["ctrl"],
	"interface" => Array (
		"showRecordFieldList" => "hidden,starttime,endtime,fe_group,internal_id,title,description,link,image,pricecategory,price,reduced,category"
	),
	"feInterface" => $TCA["tx_csevents_description"]["feInterface"],
	"columns" => Array (
		"hidden" => Array (		
			"exclude" => 1,	
			"label" => "LLL:EXT:lang/locallang_general.php:LGL.hidden",
			"config" => Array (
				"type" => "check",
				"default" => "0"
			)
		),
		"starttime" => Array (		
			"exclude" => 1,	
			"label" => "LLL:EXT:lang/locallang_general.php:LGL.starttime",
			"config" => Array (
				"type" => "input",
				"size" => "8",
				"max" => "20",
				"eval" => "date",
				"default" => "0",
				"checkbox" => "0"
			)
		),
		"endtime" => Array (		
			"exclude" => 1,	
			"label" => "LLL:EXT:lang/locallang_general.php:LGL.endtime",
			"config" => Array (
				"type" => "input",
				"size" => "8",
				"max" => "20",
				"eval" => "date",
				"checkbox" => "0",
				"default" => "0",
				"range" => Array (
					"upper" => mktime(0,0,0,12,31,2020),
					"lower" => mktime(0,0,0,date("m")-1,date("d"),date("Y"))
				)
			)
		),
		"fe_group" => Array (		
			"exclude" => 1,	
			"label" => "LLL:EXT:lang/locallang_general.php:LGL.fe_group",
			"config" => Array (
				"type" => "select",	
				"items" => Array (
					Array("", 0),
					Array("LLL:EXT:lang/locallang_general.php:LGL.hide_at_login", -1),
					Array("LLL:EXT:lang/locallang_general.php:LGL.any_login", -2),
					Array("LLL:EXT:lang/locallang_general.php:LGL.usergroups", "--div--")
				),
				"foreign_table" => "fe_groups"
			)
		),
		"internal_id" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:csevents/locallang_db.php:tx_csevents_description.internal_id",		
			"config" => Array (
				"type" => "input",	
				"size" => "10",	
				"max" => "50",	
				"eval" => "trim",
			)
		),
		"title" => Array (		
			"exclude" => 0,		
			"label" => "LLL:EXT:csevents/locallang_db.php:tx_csevents_description.title",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",	
				"max" => "200",	
				"eval" => "required,trim",
			)
		),
		"description" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:csevents/locallang_db.php:tx_csevents_description.description",		
			"config" => Array (
				"type" => "text",
				"cols" => "30",
				"rows" => "5",
				"wizards" => Array(
					"_PADDING" => 2,
					"RTE" => Array(
						"notNewRecords" => 1,
						"RTEonly" => 1,
						"type" => "script",
						"title" => "Full screen Rich Text Editing|Formatteret redigering i hele vinduet",
						"icon" => "wizard_rte2.gif",
						"script" => "wizard_rte.php",
					),
				),
			)
		),
		"link" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:csevents/locallang_db.php:tx_csevents_description.link",		
			"config" => Array (
				"type" => "input",		
				"size" => "15",
				"max" => "255",
				"checkbox" => "",
				"eval" => "trim",
				"wizards" => Array(
					"_PADDING" => 2,
					"link" => Array(
						"type" => "popup",
						"title" => "Link",
						"icon" => "link_popup.gif",
						"script" => "browse_links.php?mode=wizard",
						"JSopenParams" => "height=300,width=500,status=0,menubar=0,scrollbars=1"
					)
				)
			)
		),
		"image" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:csevents/locallang_db.php:tx_csevents_description.image",		
			"config" => Array (
				"type" => "group",
				"internal_type" => "file",
				"allowed" => "gif,png,jpeg,jpg",	
				"max_size" => 500,	
				"uploadfolder" => "uploads/tx_csevents",
				"show_thumbs" => 1,	
				"size" => 3,	
				"minitems" => 0,
				"maxitems" => 100,
			)
		),
		"pricecategory" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:csevents/locallang_db.php:tx_csevents_description.pricecategory",		
			"config" => Array (
				"type" => "select",	
				"foreign_table" => "tx_csevents_prices",	
				"size" => 1,	
				"minitems" => 0,
				"maxitems" => 1,
			)
		),
		"price" => Array (
			"exclude" => 1,
			"label" => "LLL:EXT:csevents/locallang_db.php:tx_csevents_description.price",
			"config" => Array (
				"type" => "input",
				"size" => "15",
				"max" => "50",
				"eval" => "trim",
			)
		),
		"reduced" => Array (
			"exclude" => 1,
			"label" => "LLL:EXT:csevents/locallang_db.php:tx_csevents_description.reduced",
			"config" => Array (
				"type" => "input",
				"size" => "15",
				"max" => "50",
				"eval" => "trim",
			)
		),
		"category" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:csevents/locallang_db.php:tx_csevents_description.category",		
			"config" => Array (
				"type" => "group",	
				"internal_type" => "db",	
				"allowed" => "tx_csevents_categories",	
				"size" => 3,	
				"minitems" => 0,
				"maxitems" => 100,
			)
		),
	),
	"types" => Array (
		"0" => Array("showitem" => "hidden;;1;;1-1-1, internal_id, title;;;;2-2-2, description;;;richtext[cut|copy|paste|formatblock|textcolor|bold|italic|underline|left|center|right|orderedlist|unorderedlist|outdent|indent|link|table|image|line|chMode]:rte_transform[mode=ts_css|imgpath=uploads/tx_csevents/rte/];3-3-3, link, image, pricecategory, price, reduced, category")
	),
	"palettes" => Array (
		"1" => Array("showitem" => "starttime, endtime, fe_group")
	)
);



$TCA["tx_csevents_appointments"] = Array (
	"ctrl" => $TCA["tx_csevents_appointments"]["ctrl"],
	"interface" => Array (
		"showRecordFieldList" => "hidden,starttime,endtime,fe_group,internal_id,listas,description,stime,letin,etime,places,soldout"
	),
	"feInterface" => $TCA["tx_csevents_appointments"]["feInterface"],
	"columns" => Array (
		"hidden" => Array (		
			"exclude" => 1,	
			"label" => "LLL:EXT:lang/locallang_general.php:LGL.hidden",
			"config" => Array (
				"type" => "check",
				"default" => "0"
			)
		),
		"starttime" => Array (		
			"exclude" => 1,	
			"label" => "LLL:EXT:lang/locallang_general.php:LGL.starttime",
			"config" => Array (
				"type" => "input",
				"size" => "8",
				"max" => "20",
				"eval" => "date",
				"default" => "0",
				"checkbox" => "0"
			)
		),
		"endtime" => Array (		
			"exclude" => 1,	
			"label" => "LLL:EXT:lang/locallang_general.php:LGL.endtime",
			"config" => Array (
				"type" => "input",
				"size" => "8",
				"max" => "20",
				"eval" => "date",
				"checkbox" => "0",
				"default" => "0",
				"range" => Array (
					"upper" => mktime(0,0,0,12,31,2020),
					"lower" => mktime(0,0,0,date("m")-1,date("d"),date("Y"))
				)
			)
		),
		"fe_group" => Array (		
			"exclude" => 1,	
			"label" => "LLL:EXT:lang/locallang_general.php:LGL.fe_group",
			"config" => Array (
				"type" => "select",	
				"items" => Array (
					Array("", 0),
					Array("LLL:EXT:lang/locallang_general.php:LGL.hide_at_login", -1),
					Array("LLL:EXT:lang/locallang_general.php:LGL.any_login", -2),
					Array("LLL:EXT:lang/locallang_general.php:LGL.usergroups", "--div--")
				),
				"foreign_table" => "fe_groups"
			)
		),
		"internal_id" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:csevents/locallang_db.php:tx_csevents_appointments.internal_id",		
			"config" => Array (
				"type" => "input",	
				"size" => "10",	
				"max" => "50",	
				"eval" => "trim",
			)
		),
		"listas" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:csevents/locallang_db.php:tx_csevents_appointments.listas",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",	
				"max" => "50",	
				"eval" => "required,trim",
			)
		),
		"description" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:csevents/locallang_db.php:tx_csevents_appointments.description",		
			"config" => Array (
				"type" => "select",	
				"foreign_table" => "tx_csevents_description",	
				"foreign_table_where" => "ORDER BY tx_csevents_description.sorting",	
				"size" => 1,	
				"minitems" => 0,
				"maxitems" => 1,
			)
		),
		"stime" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:csevents/locallang_db.php:tx_csevents_appointments.stime",		
			"config" => Array (
				"type" => "input",
				"size" => "12",
				"max" => "20",
				"eval" => "datetime",
				"checkbox" => "0",
				"default" => "0"
			)
		),
		"letin" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:csevents/locallang_db.php:tx_csevents_appointments.letin",		
			"config" => Array (
				"type" => "input",
				"size" => "12",
				"max" => "20",
				"eval" => "datetime",
				"checkbox" => "0",
				"default" => "0"
			)
		),
		"etime" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:csevents/locallang_db.php:tx_csevents_appointments.etime",		
			"config" => Array (
				"type" => "input",
				"size" => "12",
				"max" => "20",
				"eval" => "datetime",
				"checkbox" => "0",
				"default" => "0"
			)
		),
		"places" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:csevents/locallang_db.php:tx_csevents_appointments.places",		
			"config" => Array (
				"type" => "input",	
				"size" => "4",
				"max" => "4",
				"eval" => "int",
				"checkbox" => "0",
				"range" => Array (
					"upper" => "1000",
					"lower" => "10"
				),
				"default" => 0
			)
		),
		"soldout" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:csevents/locallang_db.php:tx_csevents_appointments.soldout",		
			"config" => Array (
				"type" => "check",
			)
		),
	),
	"types" => Array (
		"0" => Array("showitem" => "hidden;;1;;1-1-1, internal_id, listas, description;;;richtext[cut|copy|paste|formatblock|textcolor|bold|italic|underline|left|center|right|orderedlist|unorderedlist|outdent|indent|link|table|image|line|chMode]:rte_transform[mode=ts_css|imgpath=uploads/tx_csevents/rte/], stime, letin, etime, places, soldout")
	),
	"palettes" => Array (
		"1" => Array("showitem" => "starttime, endtime, fe_group")
	)
);



$TCA["tx_csevents_categories"] = Array (
	"ctrl" => $TCA["tx_csevents_categories"]["ctrl"],
	"interface" => Array (
		"showRecordFieldList" => "hidden,starttime,endtime,fe_group,name"
	),
	"feInterface" => $TCA["tx_csevents_categories"]["feInterface"],
	"columns" => Array (
		"hidden" => Array (		
			"exclude" => 1,	
			"label" => "LLL:EXT:lang/locallang_general.php:LGL.hidden",
			"config" => Array (
				"type" => "check",
				"default" => "0"
			)
		),
		"starttime" => Array (		
			"exclude" => 1,	
			"label" => "LLL:EXT:lang/locallang_general.php:LGL.starttime",
			"config" => Array (
				"type" => "input",
				"size" => "8",
				"max" => "20",
				"eval" => "date",
				"default" => "0",
				"checkbox" => "0"
			)
		),
		"endtime" => Array (		
			"exclude" => 1,	
			"label" => "LLL:EXT:lang/locallang_general.php:LGL.endtime",
			"config" => Array (
				"type" => "input",
				"size" => "8",
				"max" => "20",
				"eval" => "date",
				"checkbox" => "0",
				"default" => "0",
				"range" => Array (
					"upper" => mktime(0,0,0,12,31,2020),
					"lower" => mktime(0,0,0,date("m")-1,date("d"),date("Y"))
				)
			)
		),
		"fe_group" => Array (		
			"exclude" => 1,	
			"label" => "LLL:EXT:lang/locallang_general.php:LGL.fe_group",
			"config" => Array (
				"type" => "select",	
				"items" => Array (
					Array("", 0),
					Array("LLL:EXT:lang/locallang_general.php:LGL.hide_at_login", -1),
					Array("LLL:EXT:lang/locallang_general.php:LGL.any_login", -2),
					Array("LLL:EXT:lang/locallang_general.php:LGL.usergroups", "--div--")
				),
				"foreign_table" => "fe_groups"
			)
		),
		"name" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:csevents/locallang_db.php:tx_csevents_categories.name",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",	
				"max" => "50",	
				"eval" => "required,trim",
			)
		),
	),
	"types" => Array (
		"0" => Array("showitem" => "hidden;;1;;1-1-1, name")
	),
	"palettes" => Array (
		"1" => Array("showitem" => "starttime, endtime, fe_group")
	)
);



$TCA["tx_csevents_prices"] = Array (
	"ctrl" => $TCA["tx_csevents_prices"]["ctrl"],
	"interface" => Array (
		"showRecordFieldList" => "name,price,reduced"
	),
	"feInterface" => $TCA["tx_csevents_prices"]["feInterface"],
	"columns" => Array (
		"name" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:csevents/locallang_db.php:tx_csevents_prices.name",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",	
				"max" => "50",	
				"eval" => "required,trim",
			)
		),
		"price" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:csevents/locallang_db.php:tx_csevents_prices.price",		
			"config" => Array (
				"type" => "input",	
				"size" => "20",	
				"max" => "20",	
				"eval" => "trim",
			)
		),
		"reduced" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:csevents/locallang_db.php:tx_csevents_prices.reduced",		
			"config" => Array (
				"type" => "input",	
				"size" => "20",	
				"max" => "20",	
				"eval" => "trim",
			)
		),
	),
	"types" => Array (
		"0" => Array("showitem" => "name, price, reduced")
	),
	"palettes" => Array (
	)
);
?>
